Mulgara - Bug #101

Explicit rollback throws exception if called after implicit rollback.

04/18/2008 02:30 PM - Andrae Muys -

Status: Closed Start date:
Priority: High Due date:
Assignee: Andrae Muys - % Done:
Category: Mulgara Estimated time:

Target version:

Resolution: fixed

0%
0.00 hour

Description

setAutoCommit (false)

query (corrupt—-query); - triggers rollback.
rollback () ;

throws exception (attempt to reserveWriteLock without write-lock).

should be a nop.

Associated revisions

Revision 1098 - 07/20/2008 01:01 PM - ronald -

Merged branch mgr-121-lockrecovery.

This contains three sets of changes:

1. support for idle and transaction timeouts - this closes #121, #122, and #125.

2. synchronization fixes and simplifications for the transactions
3. miscellaneous small fixes to the transactions - this closes #101.

History

#1 - 04/18/2008 02:30 PM - Andrae Muys -

- Status changed from New to In Progress

#2 - 07/20/2008 01:01 PM - ronald -

- Status changed from In Progress to Closed

- Resolution set to fixed

(In r1098) Merged branch mgr-121-lockrecovery.

This contains three sets of changes:

1. support for idle and transaction timeouts - this closes #121, #122, and #125.

2. synchronization fixes and simplifications for the transactions
3. miscellaneous small fixes to the transactions - this closes #101.
